Bug 511080 - RFE: have an option to NOT boot the system after new guest is defined
RFE: have an option to NOT boot the system after new guest is defined
Status: CLOSED UPSTREAM
Product: Virtualization Tools
Classification: Community
Component: virt-manager (Show other bugs)
unspecified
All Linux
low Severity medium
: ---
: ---
Assigned To: Cole Robinson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-13 11:21 EDT by Gene Czarcinski
Modified: 2010-03-16 13:21 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-10 20:25:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gene Czarcinski 2009-07-13 11:21:13 EDT
Description of problem:

The current implementation automatically boots the CDROM when the definition of a new guest is complete.  This is fine as a default and is the desired function most of the time.  However, there are cases when this is NOT the desired functionality.

Therefore add some check-box or whatever to select (actually deselect) the automatic boot.
Comment 1 Mark McLoughlin 2009-08-11 12:11:44 EDT
(In reply to comment #0)
> However, there are cases when this is NOT the desired functionality.

Could you describe some of those cases?
Comment 2 Paul Jenner 2009-11-15 15:46:51 EST
One case may be more advanced configuration of the guest than is possible through the New VM wizard - for example changes to the guest hardware profile or pass through of devices from the host before install.

I think this is captured by the roadmap item in the virt-manager wiki (15/11/2009) at http://virt-manager.org/page/Roadmap:

"Adjust VM settings before installing -- An option to fall through to a VM details dialog before kicking off an install, to tweak the device settings. Will allow expressiveness without overloading the 'New VM' wizard."
Comment 3 Mark McLoughlin 2009-11-19 05:41:14 EST
Thanks, moving upstream
Comment 4 Paul Jenner 2010-02-10 17:07:30 EST
Is this closed by the addition of "customize configuration before install" checkbox in virt-manager 0.8.3? That allows more advanced configuration than is possible through the new VM wizard - but still forces a boot of the new VM at the end of the process. Or is there still a use-case for not wanting the guest to boot at all at the end of creation process?
Comment 5 Cole Robinson 2010-02-10 20:25:17 EST
I think so. Closing as UPSTREAM. If there is still a compelling reason for not running a VM after the install process, please bring it up here.

Note You need to log in before you can comment on or make changes to this bug.